using System;

public class Program
{
    public static int SudariDvaBroja(int x, int y)
    {
        int cifraX, cifraY;
        int br = 1;
        int rezultat = 0;
        int viseCifra = Math.Max(x.ToString().Length, y.ToString().Length);

        for(int i=0; i < viseCifra; i++)
        { 
            cifraX = x % 10;
            cifraY = y % 10;

            if (cifraX > cifraY)
                rezultat += cifraX * br;
            else if (cifraY > cifraX)
                rezultat += cifraY * br;
            else if (cifraY == cifraX && x != 0 && y != 0)
            {
                rezultat += cifraX * br;
                br *= 10;
                rezultat += cifraX * br;
            }
            else
                rezultat += cifraX * br;

            x /= 10;
            y /= 10;
            br *= 10;
        }

        return rezultat;
    }
    public static void Main()
    {
        int x = int.Parse(Console.ReadLine());
        int y = int.Parse(Console.ReadLine());
        Console.WriteLine(SudariDvaBroja(x, y));
    }
}